• Documentation
Person
    Social URL to Person (1 credit per request)postGet Person by ID (1 credit per request)postName and Domain to Email (1 credit per request)post
Company
    LinkedIn URL to Company (1 credit per request)postDomain to Company (1 credit per request)postLinkedIn ID to Company (1 credit per request)postGet Company by ID (1 credit per request)post
Validation
    Validate an email address (1 credit)postValidate a phone number (1 credit)post
Search
    Search companiespostProspector searchpostProspector countpostFind a contact by name and company domainpostSearch by job title and company namepostSearch employees at a companypostSearch companies by name (exact or fuzzy)postSearch with AI (free-form text query)post
Field Meta
    Browse City valuespostBrowse Country Code valuespostBrowse Country Name valuespostBrowse Job Title valuespostBrowse State / Province valuespostBrowse Job Function valuespostBrowse Job Level valuespostBrowse Persona valuespostBrowse Company Entity Type valuespostBrowse Company Legal Type valuespostBrowse Industry (LinkedIn) valuespostBrowse CRM Technologies valuespostBrowse Marketing Automation Technologies valuespostBrowse ABM Technologies valuespostBrowse Sales Automation Technologies valuespostBrowse Analytics Technologies valuespostBrowse CMS Technologies valuespostBrowse MarTech Categories valuespostBrowse Conversation Intelligence Technologies valuespostBrowse Cloud Provider Technologies valuespostBrowse Email Hosting Technologies valuespostBrowse Email Security Technologies valuespostBrowse Application Security Technologies valuespostBrowse Cloud Security Technologies valuespostBrowse Development Technologies valuespostBrowse E-commerce Technologies valuespostBrowse ERP Technologies valuespost
User
    Get Credit Balanceget
Schemas
powered by Zudoku
B2BEnrich API
B2BEnrich API

Field Meta

Endpointhttps://api.b2benrich.com

Browse City values

POST
https://api.b2benrich.com
/v1/search/meta/city

Returns distinct city values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse City values › Headers

X-Api-Key
string · required

Browse City values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse City values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/city
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/city \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Country Code values

POST
https://api.b2benrich.com
/v1/search/meta/country_code

Returns distinct country code values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Country Code values › Headers

X-Api-Key
string · required

Browse Country Code values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Country Code values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/country_code
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/country_code \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Country Name values

POST
https://api.b2benrich.com
/v1/search/meta/country_name

Returns distinct country name values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Country Name values › Headers

X-Api-Key
string · required

Browse Country Name values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Country Name values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/country_name
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/country_name \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Job Title values

POST
https://api.b2benrich.com
/v1/search/meta/job_title

Returns distinct job title values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Job Title values › Headers

X-Api-Key
string · required

Browse Job Title values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Job Title values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/job_title
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/job_title \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse State / Province values

POST
https://api.b2benrich.com
/v1/search/meta/state_name

Returns distinct state / province values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse State / Province values › Headers

X-Api-Key
string · required

Browse State / Province values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse State / Province values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/state_name
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/state_name \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Job Function values

POST
https://api.b2benrich.com
/v1/search/meta/job_function

Returns distinct job function values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Job Function values › Headers

X-Api-Key
string · required

Browse Job Function values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Job Function values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/job_function
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/job_function \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Job Level values

POST
https://api.b2benrich.com
/v1/search/meta/job_level

Returns distinct job level values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Job Level values › Headers

X-Api-Key
string · required

Browse Job Level values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Job Level values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/job_level
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/job_level \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Persona values

POST
https://api.b2benrich.com
/v1/search/meta/persona

Returns distinct persona values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Persona values › Headers

X-Api-Key
string · required

Browse Persona values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Persona values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/persona
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/persona \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Company Entity Type values

POST
https://api.b2benrich.com
/v1/search/meta/company_entity_type

Returns distinct company entity type values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Company Entity Type values › Headers

X-Api-Key
string · required

Browse Company Entity Type values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Company Entity Type values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/company_entity_type
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/company_entity_type \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Company Legal Type values

POST
https://api.b2benrich.com
/v1/search/meta/company_legal_type

Returns distinct company legal type values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Company Legal Type values › Headers

X-Api-Key
string · required

Browse Company Legal Type values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Company Legal Type values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/company_legal_type
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/company_legal_type \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Industry (LinkedIn) values

POST
https://api.b2benrich.com
/v1/search/meta/industry_linkedin

Returns distinct industry (linkedin) values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Industry (LinkedIn) values › Headers

X-Api-Key
string · required

Browse Industry (LinkedIn) values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Industry (LinkedIn) values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/industry_linkedin
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/industry_linkedin \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse CRM Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/crm_tech_org

Returns distinct crm technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse CRM Technologies values › Headers

X-Api-Key
string · required

Browse CRM Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse CRM Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/crm_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/crm_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Marketing Automation Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/marketing_automation_tech_org

Returns distinct marketing automation technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Marketing Automation Technologies values › Headers

X-Api-Key
string · required

Browse Marketing Automation Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Marketing Automation Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/marketing_automation_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/marketing_automation_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse ABM Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/abm_tech_org

Returns distinct abm technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse ABM Technologies values › Headers

X-Api-Key
string · required

Browse ABM Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse ABM Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/abm_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/abm_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Sales Automation Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/sales_automation_tech_org

Returns distinct sales automation technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Sales Automation Technologies values › Headers

X-Api-Key
string · required

Browse Sales Automation Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Sales Automation Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/sales_automation_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/sales_automation_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Analytics Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/analytics_tech_org

Returns distinct analytics technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Analytics Technologies values › Headers

X-Api-Key
string · required

Browse Analytics Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Analytics Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/analytics_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/analytics_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse CMS Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/cms_tech_org

Returns distinct cms technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse CMS Technologies values › Headers

X-Api-Key
string · required

Browse CMS Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse CMS Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/cms_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/cms_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse MarTech Categories values

POST
https://api.b2benrich.com
/v1/search/meta/martech_categories_org

Returns distinct martech categories values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse MarTech Categories values › Headers

X-Api-Key
string · required

Browse MarTech Categories values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse MarTech Categories values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/martech_categories_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/martech_categories_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Conversation Intelligence Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/conversation_intelligence_tech_org

Returns distinct conversation intelligence technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Conversation Intelligence Technologies values › Headers

X-Api-Key
string · required

Browse Conversation Intelligence Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Conversation Intelligence Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/conversation_intelligence_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/conversation_intelligence_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Cloud Provider Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/cloud_provider_tech_org

Returns distinct cloud provider technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Cloud Provider Technologies values › Headers

X-Api-Key
string · required

Browse Cloud Provider Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Cloud Provider Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/cloud_provider_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/cloud_provider_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Email Hosting Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/email_hosting_tech_org

Returns distinct email hosting technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Email Hosting Technologies values › Headers

X-Api-Key
string · required

Browse Email Hosting Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Email Hosting Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/email_hosting_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/email_hosting_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Email Security Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/email_security_tech_org

Returns distinct email security technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Email Security Technologies values › Headers

X-Api-Key
string · required

Browse Email Security Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Email Security Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/email_security_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/email_security_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Application Security Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/application_security_tech_org

Returns distinct application security technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Application Security Technologies values › Headers

X-Api-Key
string · required

Browse Application Security Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Application Security Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/application_security_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/application_security_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Cloud Security Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/cloud_security_tech_org

Returns distinct cloud security technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Cloud Security Technologies values › Headers

X-Api-Key
string · required

Browse Cloud Security Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Cloud Security Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/cloud_security_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/cloud_security_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse Development Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/development_tech_org

Returns distinct development technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse Development Technologies values › Headers

X-Api-Key
string · required

Browse Development Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse Development Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/development_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/development_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse E-commerce Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/e_commerce_platform_tech_org

Returns distinct e-commerce technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse E-commerce Technologies values › Headers

X-Api-Key
string · required

Browse E-commerce Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse E-commerce Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/e_commerce_platform_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/e_commerce_platform_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

Browse ERP Technologies values

POST
https://api.b2benrich.com
/v1/search/meta/erp_tech_org

Returns distinct erp technologies values with counts. Optionally filter by a search phrase. Paginated at 100 per page.

Browse ERP Technologies values › Headers

X-Api-Key
string · required

Browse ERP Technologies values › Request Body

Request for browsing distinct values of a field.

Optional search text to filter values (phrase search).

page
integer · min: 1

Page number (1-indexed). Each page returns up to 100 values.

Default: 1

Browse ERP Technologies values › Responses

Successful Response

Paginated list of distinct values for a field.
field
string · required

The field that was queried.

page
integer · required

Current page number.

has_more
boolean · required

True if more pages exist.

object[]

Distinct values.

page_size
integer

Maximum values per page.

Default: 100
POST/v1/search/meta/erp_tech_org
curl --request POST \
  --url https://api.b2benrich.com/v1/search/meta/erp_tech_org \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '{
  "page": 1
}'
shell
Example Request Body
{
  "page": 1
}
json
application/json
Example Responses
{
  "field": "field",
  "values": [
    {
      "value": "value"
    }
  ],
  "page": 0,
  "page_size": 0,
  "has_more": true
}
json
application/json

SearchUser